//PRIMARY SOURCE CLASS 
#ifndef PRIMARYSOURCE_H
#define PRIMARYSOURCE_H
#include "headerFiles.hpp"
#include "EnergySystem.hpp"

namespace decomposition
{

class PrimarySource
{
private:
	int numScen, numTimeSteps;

	vector<vector<double>> output; //vector with outputs from primary energy source


public:
	friend EnergySystem;
	
	PrimarySource(vector<vector<double>>* input, EnergySystem* enrg ); //constructor

	vector<vector<double>>* getOutput(){return &output;}

};
}
#endif